import React from 'react';
import { View, StyleSheet } from 'react-native';
import { useCalendarContext } from '../CalendarContext';
import { CalendarViews } from '../enums';
import Header from './Header';
import YearSelector from './YearSelector';
import MonthSelector from './MonthSelector';
import DaySelector from './DaySelector';
import TimeSelector from './TimeSelector';
const Calendar = () => {
  const {
    utils,
    currentDate,
    selectedDate,
    calendarView,
    mode
  } = useCalendarContext();
  const days = utils.getMonthDays(currentDate);
  const currentMonth = utils.getDateMonth(currentDate);
  const currentYear = utils.getDateYear(currentDate);
  const selectedYear = utils.getDateYear(selectedDate);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, mode !== 'time' ? /*#__PURE__*/React.createElement(Header, null) : null, /*#__PURE__*/React.createElement(View, {
    style: styles.calendarContainer
  }, calendarView === CalendarViews.year ? /*#__PURE__*/React.createElement(YearSelector, {
    currentYear: currentYear,
    selectedYear: selectedYear
  }) : calendarView === CalendarViews.month ? /*#__PURE__*/React.createElement(MonthSelector, {
    month: currentMonth
  }) : calendarView === CalendarViews.day ? /*#__PURE__*/React.createElement(DaySelector, {
    days: days
  }) : /*#__PURE__*/React.createElement(TimeSelector, null)));
};
const styles = StyleSheet.create({
  container: {
    width: '100%'
  },
  calendarContainer: {
    height: 300,
    alignItems: 'center'
  }
});
export default Calendar;
//# sourceMappingURL=Calendar.js.map